searchNodes=[{"doc":"Provides functions to generate secure Imgix URLs.","ref":"Imgex.html","title":"Imgex","type":"module"},{"doc":"Provides configured source information when it's not passed explicitly to url/3 or proxy_url/3 .","ref":"Imgex.html#configured_source/0","title":"Imgex.configured_source/0","type":"function"},{"doc":"Generates a secure Imgix URL from a Web Proxy source given: path - The full public image URL. params - (optional) A map containing Imgix API parameters used to manipulate the image. source - (optional) A map containing Imgix source information: :token - The secure token used to sign API requests. :domain - The Imgix source domain. Examples iex&gt; Imgex . proxy_url &quot;http://avatars.com/john-smith.png&quot; &quot;https://my-social-network.imgix.net/http%3A%2F%2Favatars.com%2Fjohn-smith.png?s=493a52f008c91416351f8b33d4883135&quot; iex&gt; Imgex . proxy_url &quot;http://avatars.com/john-smith.png&quot; , %{ w : 400 , h : 300 } &quot;https://my-social-network.imgix.net/http%3A%2F%2Favatars.com%2Fjohn-smith.png?h=300&amp;w=400&amp;s=a201fe1a3caef4944dcb40f6ce99e746&quot;","ref":"Imgex.html#proxy_url/3","title":"Imgex.proxy_url/3","type":"function"},{"doc":"Generates custom srcset attributes for Imgix URLs, pre-signed with the source's secure token (if configured). These are useful for responsive images at a variety of screen sizes or pixel densities. By default, the srcset generated will allow for responsive size switching by building a list of image-width mappings. This default list of image width mappings covers a wide range of 31 different widths from 100px to 8192px. This default results in quite a long srcset attribute, though, so it is preferable to instead give more specific size guidance by specifying either: a width, OR a height + aspect ratio When these params are provided, the returned srcset will cover 5 different pixel densities (1x-5x). Arguments path - The URL path to the image. params - (optional) A map containing Imgix API parameters used to manipulate the image. source - (optional) A map containing Imgix source information: :token - The secure token used to sign API requests. :domain - The Imgix source domain. Examples iex&gt; Imgex . srcset ( &quot;/images/lulu.jpg&quot; , %{ w : 100 } ) &quot;https://my-social-network.imgix.net/images/lulu.jpg?dpr=1&amp;w=100&amp;s=9bd210f344a0f65032951a9cf171c40e 1x, https://my-social-network.imgix.net/images/lulu.jpg?dpr=2&amp;w=100&amp;s=33520b8f84fa72afa28539d66fb2734f 2x, https://my-social-network.imgix.net/images/lulu.jpg?dpr=3&amp;w=100&amp;s=97d0f1731b4c8d8dd609424dfca2eab5 3x, https://my-social-network.imgix.net/images/lulu.jpg?dpr=4&amp;w=100&amp;s=b96a02e08eeb50df5a75223c998e46f5 4x, https://my-social-network.imgix.net/images/lulu.jpg?dpr=5&amp;w=100&amp;s=9ba1ab37db9f09283d9194223fbafb2f 5x&quot; iex&gt; Imgex . srcset ( &quot;/images/lulu.jpg&quot; , %{ ar : &quot;3:4&quot; , h : 500 } ) &quot;https://my-social-network.imgix.net/images/lulu.jpg?ar=3%3A4&amp;dpr=1&amp;h=500&amp;s=fa2016a84454271a30c00c93a6d236a2 1x, https://my-social-network.imgix.net/images/lulu.jpg?ar=3%3A4&amp;dpr=2&amp;h=500&amp;s=43303719ce9a76e618c6d16ef7b5f30f 2x, https://my-social-network.imgix.net/images/lulu.jpg?ar=3%3A4&amp;dpr=3&amp;h=500&amp;s=b1f39589cf13b10a7480c4b90f4dcea4 3x, https://my-social-network.imgix.net/images/lulu.jpg?ar=3%3A4&amp;dpr=4&amp;h=500&amp;s=1be6ccb379a227b8e4cfa8ebcbca2b76 4x, https://my-social-network.imgix.net/images/lulu.jpg?ar=3%3A4&amp;dpr=5&amp;h=500&amp;s=455776036fb49c420f20d93fb59af96e 5x&quot;","ref":"Imgex.html#srcset/3","title":"Imgex.srcset/3","type":"function"},{"doc":"Generates a secure Imgix URL given: path - The URL path to the image. params - (optional) A map containing Imgix API parameters used to manipulate the image. source - (optional) A map containing Imgix source information: :token - The secure token used to sign API requests. :domain - The Imgix source domain. Examples iex&gt; Imgex . url &quot;/images/jets.png&quot; &quot;https://my-social-network.imgix.net/images/jets.png?s=7c6a3ef8679f4965f5aaecb66547fa61&quot; iex&gt; Imgex . url &quot;/images/jets.png&quot; , %{ con : 10 } , %{ domain : &quot;https://cannonball.imgix.net&quot; , token : &quot;xxx187xxx&quot; } &quot;https://cannonball.imgix.net/images/jets.png?con=10&amp;s=d982f04bbca4d819971496524aa5f95a&quot;","ref":"Imgex.html#url/3","title":"Imgex.url/3","type":"function"},{"doc":"ISC License Copyright (c) 2019 Ian Walter Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. The software may not be used by individuals, corporations, governments, or other groups for systems or activities that actively and knowingly endanger, harm, or otherwise threaten the physical, mental, economic, or general well-being of individuals or groups in violation of the United Nations Universal Declaration of Human Rights ( https://www.un.org/en/universal-declaration-human-rights/). THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. This license is derived from the MIT License, as amended to limit the impact of the unethical use of open source software.","ref":"license.html","title":"License","type":"extras"},{"doc":"imgex An Elixir client library for generating image URLs with imgix Installation Documentation Configuration Usage","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"imgex is available in Hex , the package can be installed as: Add :imgex to your list of dependencies in mix.exs : def deps do [ { :imgex , &quot;~&gt; 0.2.0&quot; } , ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"The source is really small so reading through it should be straight-forward but the full package documentation is available at https://hexdocs.pm/imgex.","ref":"readme.html#documentation","title":"Overview - Documentation","type":"extras"},{"doc":"To use the library you have to configure your imgix domain and secure token or pass them as an options map %{domain: &quot;domain&quot;, token: &quot;token&quot;} as the third parameter to Imgex.url/3 or Imgex.proxy_url/3 . See config/test.exs for an example of how to configure this.","ref":"readme.html#configuration","title":"Overview - Configuration","type":"extras"},{"doc":"To generate an imgix URL based on a path (Web Folder and S3 sources) and optional parameters do: url = Imgex . url &quot;/images/cats.jpg&quot; , %{ w : 700 } To generate an imgix URL based on a public URL (Web Proxy sources) and optional parameters do: url = Imgex . proxy_url &quot;https://some-public-url.com/cats.jpg&quot; , %{ w : 700 }","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Copyright (c) 2019 Ian Walter This work is free. You can redistribute it and/or modify it under the terms of the ISC License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]